import {Link, useNavigate} from 'react-router-dom';
import menuIcon from '../assets/icons/menu-icon.svg';
import logo from '../../public/lit/logo.svg';
import {useState} from 'react';

const Navbar = () => {
    const navigate = useNavigate();
    const [levelsShown, setLevelsShown] = useState(false);


    return (
        <nav className="bg-primary-main">
            <div className="p-2 flex justify-between">
                <div>
                    <img src={logo} alt="Logo"
                         onClick={() => navigate("/")}
                         className="w-52 mt-4 ml-4 hover:cursor-pointer"/>
                </div>
                <div className="flex items-center justify-end">
                    <Link to="/chapters">
                        <img src={menuIcon} onClick={() => {
                            setLevelsShown(!levelsShown);
                            const page = levelsShown ? '/intro' : '/chapters';
                            navigate(page);
                        }}
                             alt="Chapters Icon"/>
                    </Link>
                </div>
            </div>
        </nav>
    )

};

export default Navbar;
